Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.taglibs.xtags
Class RPCFormTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          com.ejie.r01f.taglibs.xtags.RPCFormTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.IterationTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class RPCFormTag
extends javax.servlet.jsp.tagext.TagSupport

Clase que define un form rpc para la comunicacion RPC entre el navegador y el servidor (ver RPCServlet) Simplemente incluye en la pagina el soporte para las llamadas RPC que se concreta en un formulario (form) como el siguiente:

See Also:
  Serialized Form

Field Summary

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`RPCFormTag()`

Method Summary
`int` | `doEndTag()` Process the end of this tag.
`int` | `doStartTag()` Process the start of this tag.
`java.lang.String` | `getAction()` Devuelve la acción al submitir el formulario
`java.lang.String` | `getHiddenIFrameName()` Si se utiliza un hidden iframe para realizar la llamada rpc aquí se establece el nombre del frame
`java.lang.String` | `getName()` Devuelve el nombre del formulario utilizado en la llamada RPC
`java.lang.String` | `getThread()` Devuelve el nombre del thread de conversación en el que se "inserta" la llamada RPC
`java.lang.String` | `getTokenValue()` Devuelve el valor del token utilizado para evitar llamadas repetidas (tipo F5)
`void` | `release()` Release any acquired resources.
`void` | `setAction(java.lang.String x)` Establece la acción al submitir el formulario
`void` | `setHiddenIFrameName(java.lang.String x)` Establece el nombre de un frame oculto utilizado para realizar la llamada RPC sin necesidad de recargar la página
`void` | `setName(java.lang.String x)` Establece el nombre del formulario utilizado en la llamada RPC
`void` | `setThread(java.lang.String x)` Establece el thread de conversación en el que se "inserta" la llamada rpc
`void` | `setTokenValue(java.lang.String x)` Establece el valor del token utilizado para evitar llamadas repetidas (tipo F5)

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RPCFormTag

    public RPCFormTag()

Method Detail

### release

    public void release()

  Release any acquired resources.

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Process the start of this tag. The default implementation does nothing.

  Throws:
    `javax.servlet.jsp.JspException` - if a JSP exception has occurred

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Process the end of this tag. The default implementation does nothing.

  Throws:
    `javax.servlet.jsp.JspException` - if a JSP exception has occurred

### getName

    public java.lang.String getName()

  Devuelve el nombre del formulario utilizado en la llamada RPC

  Returns:
    el nombre

### setName

    public void setName(java.lang.String x)

  Establece el nombre del formulario utilizado en la llamada RPC

### getAction

    public java.lang.String getAction()

  Devuelve la acción al submitir el formulario

  Returns:
    La acción al submitir el formulario

### setAction

    public void setAction(java.lang.String x)

  Establece la acción al submitir el formulario

### getHiddenIFrameName

    public java.lang.String getHiddenIFrameName()

  Si se utiliza un hidden iframe para realizar la llamada rpc aquí se establece el nombre del frame

  Returns:
    El nombre del frame

### setHiddenIFrameName

    public void setHiddenIFrameName(java.lang.String x)

  Establece el nombre de un frame oculto utilizado para realizar la llamada RPC sin necesidad de recargar la página

### getTokenValue

    public java.lang.String getTokenValue()

  Devuelve el valor del token utilizado para evitar llamadas repetidas (tipo F5)

  Returns:
    El valor del token

### setTokenValue

    public void setTokenValue(java.lang.String x)

  Establece el valor del token utilizado para evitar llamadas repetidas (tipo F5)

### getThread

    public java.lang.String getThread()

  Devuelve el nombre del thread de conversación en el que se "inserta" la llamada RPC

### setThread

    public void setThread(java.lang.String x)

  Establece el thread de conversación en el que se "inserta" la llamada rpc

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD